---
search:
  tags:
    - alerts
    - GET
seo:
  description: >-
    Never returns the password: passwordSet reports whether one is stored.
    Reference for the GET /api/v1/alert-smtp endpoint in the TimescaleDB
    Enterprise API.
  noindex: true
sidebar:
  label: Get the SMTP settings
  badge: GET
title: Get the SMTP settings
type: openapi-operation
---
Never returns the password: passwordSet reports whether one is stored.

`GET /api/v1/alert-smtp`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "authUsername": "string",
  "configured": true,
  "from": "string",
  "hello": "string",
  "passwordSet": true,
  "passwordUnreadable": true,
  "requireTls": true,
  "smarthost": "string"
}
```
